Bug 108869 - Libre 5.4 beta2 Help - Check for Updates icon missing
Summary: Libre 5.4 beta2 Help - Check for Updates icon missing
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
5.4.0.0.beta2
Hardware: x86-64 (AMD64) Linux (All)
: low minor
Assignee: sdc.blanco
URL:
Whiteboard: target:6.5.0
Keywords:
Depends on:
Blocks: Help-Changes-Features
  Show dependency treegraph
 
Reported: 2017-06-29 22:57 UTC by Samson
Modified: 2020-01-12 17:20 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Check for Updates libreoffice 5.4 beta2 (341.84 KB, image/png)
2017-06-29 22:57 UTC, Samson
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Samson 2017-06-29 22:57:47 UTC
Created attachment 134399 [details]
Check for Updates libreoffice 5.4 beta2

Libre 5.4 beta2 Check for Updates
Comment 1 beimaginativeegroup 2017-08-10 14:27:29 UTC
Is this limited to the LOCALHELP? I couldn't reproduce it with the Online Help (at https://helponline.libreoffice.org)
Comment 2 Samson 2018-01-02 23:46:27 UTC
Comment on attachment 134399 [details]
Check for Updates libreoffice 5.4 beta2

This problem is still exists in Libre Office 6.0.0.1
Comment 3 V Stuart Foote 2018-01-03 05:46:24 UTC
Yep, on Windows 10 Home 64-bit en-US with
Version: 6.0.0.1 (x64)
Build ID: d2bec56d7865f05a1003dc88449f2b0fdd85309a
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
Locale: en-US (en_US); Calc: group

Icon has gone missing from the help article [1] the icon shows a path matching the selected Icon theme (i.e Tango, Galaxy, Breeze) when the place holder object is copied/pasted to document canvas, e.g.for Tango set--
vnd.libreoffice.image://tango/extensions/source/update/ui/onlineupdate_16.png

Looks to be a 26px version as well that is missing [2][3]

And the icon did not make it into the new helpimg install directory

share\config\images_helpimg.zip\media\helpimg\

So missed when helpimg was split out? Or was this somehow intentional for the update "extension"?

=-ref-=
https://opengrok.libreoffice.org/xref/help/source/text/shared/01/online_update.xhp#41
https://opengrok.libreoffice.org/xref/core/extensions/source/update/ui/updatecheckui.cxx#80
https://opengrok.libreoffice.org/xref/core/extensions/inc/bitmaps.hlst#41
Comment 4 V Stuart Foote 2018-01-03 05:57:21 UTC
(In reply to V Stuart Foote from comment #3)

as noted the online 5.4 version help shows the icon, with URL:

https://help.libreoffice.org/images/6/6b/Onlineupdate_16.png

The 26px version is not on that path.
Comment 5 Commit Notification 2020-01-12 16:15:24 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/0d44ebef2f2c5829ff4998d9890aaf8f612a1ed3

tdf#108869  repair icon on help file
Comment 6 Commit Notification 2020-01-12 16:30:57 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/help/commit/ed4c9e733e8d0c62f17da3f5db1e1292d02cfa1e

tdf#108869  repair icon on help file
Comment 7 Commit Notification 2020-01-12 17:19:47 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/help/commit/927b9f89df5519d053e3c0d12198776ed07f6f32

Revert "tdf#108869  repair icon on help file"